{
    "name":            "nano-modules-services",
    "version":         "0",
    "private":         true,
    "type":            "module",
    "author":          {
        "name":  "Layla Tichy",
        "email": "contact@laylatichy.com",
        "url":   "http://www.laylatichy.com"
    },
    "scripts":         {
        "lint":            "vendor/bin/php-cs-fixer fix",
        "phpstan":         "vendor/bin/phpstan analyse",
        "phpstan:watch":   "watch 'npm --silent run phpstan' src tests",
        "pest":            "XDEBUG_MODE=coverage vendor/bin/pest",
        "pest:watch":      "XDEBUG_MODE=coverage vendor/bin/pest --watch",
        "docs:dev":        "vitepress dev docs",
        "docs:build":      "vitepress build docs",
        "docs:preview":    "vitepress preview docs",
        "branches:remove": "git branch --merged | egrep -v \"(^\\*|master|release|dev)\" | xargs git branch -d",
        "pr:create":       "git branch --show-current | xargs -l bash -c 'git push -f --set-upstream origin $0 -o merge_request.create -o merge_request.target=dev -o merge_request.title=\"$0\" -o merge_request.label=\"$0\" -o merge_request.remove_source_branch'"
    },
    "devDependencies": {
        "@commitlint/cli":                 "19.7.1",
        "@commitlint/config-conventional": "19.7.1",
        "concurrently":                    "9.1.2",
        "husky":                           "9.1.7",
        "lint-staged":                     "15.4.3",
        "vitepress":                       "1.6.3",
        "watch":                           "1.0.2",
        "zx":                              "8.3.2"
    },
    "homepage":        "https://gitlab.com/nano8/modules/services",
    "license":         "MIT",
    "packageManager":  "pnpm@10.5.2"
}
